From 1e20d2ccd743ea5f8c2358e4ae36fead8b9390fd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ladislav=20L=C3=A1ska?= <krakonos@krakonos.org>
Date: Sat, 16 Jul 2022 12:41:33 +0200
Subject: [PATCH] Replaced use of AutoPtr with std::unique_ptr in
 GeoImageDock.cpp.

---
 src/Docks/GeoImageDock.cpp | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/Docks/GeoImageDock.cpp b/src/Docks/GeoImageDock.cpp
index 02b5cdc0..e2fa1601 100644
--- a/src/Docks/GeoImageDock.cpp
+++ b/src/Docks/GeoImageDock.cpp
@@ -457,7 +457,7 @@ void GeoImageDock::loadImages(QStringList fileNames)
     Document *theDocument = Main->document();
     MapView *theView = Main->view();
 
-    Exiv2::Image::AutoPtr image;
+    std::unique_ptr<Exiv2::Image> image;
     Exiv2::ExifData exifData;
     bool positionValid = false;
 
@@ -869,7 +869,7 @@ void GeoImageDock::saveImage()
 //    fn = QFileDialog::getSaveFileName(0, "Specify output filename", fn, tr("JPEG Images (*.jpg)"));
     qDebug() << fn;
     if (!fn.isEmpty()) {
-        Exiv2::Image::AutoPtr imageIn, imageOut;
+        std::unique_ptr<Exiv2::Image> imageIn, imageOut;
         Exiv2::ExifData exifData;
         try {
             imageIn = Exiv2::ImageFactory::open(usedTrackPoints.at(index).filename.toStdString());
@@ -893,7 +893,7 @@ Coord GeoImageDock::getGeoDataFromImage(const QString & file)
 {
     Coord pos;
     double lat = 0.0, lon = 0.0;
-    Exiv2::Image::AutoPtr image;
+    std::unique_ptr<Exiv2::Image> image;
     Exiv2::ExifData exifData;
     bool positionValid = false;
 
@@ -933,7 +933,7 @@ Coord GeoImageDock::getGeoDataFromImage(const QString & file)
 
 void GeoImageDock::addGeoDataToImage(Coord position, const QString & file)
 {
-    Exiv2::Image::AutoPtr image;
+    std::unique_ptr<Exiv2::Image> image;
 
     try {
         image = Exiv2::ImageFactory::open(file.toStdString());
